/**
    (C) Copyright 2012 Dominik Wagenfuehr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "DeclineStrategy.hh"

// Konstuktor.
DeclineStrategy::DeclineStrategy( IStrategyContext* contextP )
  : BaseStrategy(contextP)
{
}

// Copy Konstruktor.
DeclineStrategy::DeclineStrategy( const DeclineStrategy& object, IStrategyContext* contextP )
  : BaseStrategy(contextP)
{
}

// Akzeptiert oder lehnt ein Angebot ab.
bool DeclineStrategy::acceptOffer( const int value )
{
    return false;
}

// Erstellt eine Kopie des Elements.
BaseStrategy* DeclineStrategy::copy( IStrategyContext* contextP ) const
{
    return (BaseStrategy*)(new DeclineStrategy(*this, contextP));
}
